| System | Linux fankle.inf.ed.ac.uk 2.6.18-274.12.1.el5 #1 SMP Tue Nov 29 11:20:34 EST 2011 i686 |
| Build Date | May 7 2012 18:58:40 |
| Configure Command | './configure' '--build=i686-redhat-linux-gnu' '--host=i686-redhat-linux-gnu' '--target=i386-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--cache-file=../config.cache' '--with-libdir=lib' '--with-config-file-path=/etc' '--with-config-file-scan-dir=/etc/php.d' '--disable-debug' '--with-pic' '--disable-rpath' '--without-pear' '--with-bz2' '--with-curl' '--with-exec-dir=/usr/bin' '--with-freetype-dir=/usr' '--with-png-dir=/usr' '--enable-gd-native-ttf' '--without-gdbm' '--with-gettext' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr' '--with-openssl' '--with-png' '--with-pspell' '--with-expat-dir=/usr' '--with-pcre-regex=/usr' '--with-zlib' '--with-layout=GNU' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-sysvmsg' '--enable-track-vars' '--enable-trans-sid' '--enable-yp' '--enable-wddx' '--with-kerberos' '--enable-ucd-snmp-hack' '--with-unixODBC=shared,/usr' '--enable-memory-limit' '--enable-shmop' '--enable-calendar' '--enable-dbx' '--enable-dio' '--with-mime-magic=/usr/share/file/magic.mime' '--without-sqlite' '--with-libxml-dir=/usr' '--with-xml' '--with-system-tzdata' '--with-apxs2=/usr/sbin/apxs' '--without-mysql' '--without-gd' '--without-odbc' '--disable-dom' '--disable-dba' '--without-unixODBC' '--disable-pdo' '--disable-xmlreader' '--disable-xmlwriter' |
| Server API | Apache 2.0 Handler |
| Virtual Directory Support | disabled |
| Configuration File (php.ini) Path | /etc/php.ini |
| Scan this dir for additional .ini files | /etc/php.d |
| additional .ini files parsed | /etc/php.d/bcmath.ini,
/etc/php.d/dba.ini,
/etc/php.d/dbase.ini,
/etc/php.d/dom.ini,
/etc/php.d/gd.ini,
/etc/php.d/imap.ini,
/etc/php.d/ldap.ini,
/etc/php.d/mbstring.ini,
/etc/php.d/mysql.ini,
/etc/php.d/mysqli.ini,
/etc/php.d/ncurses.ini,
/etc/php.d/odbc.ini,
/etc/php.d/pdo.ini,
/etc/php.d/pdo_mysql.ini,
/etc/php.d/pdo_odbc.ini,
/etc/php.d/pdo_pgsql.ini,
/etc/php.d/pdo_sqlite.ini,
/etc/php.d/pgsql.ini,
/etc/php.d/snmp.ini,
/etc/php.d/soap.ini,
/etc/php.d/xmlreader.ini,
/etc/php.d/xmlrpc.ini,
/etc/php.d/xmlwriter.ini,
/etc/php.d/xsl.ini
|
| PHP API | 20041225 |
| PHP Extension | 20050922 |
| Zend Extension | 220051025 |
| Debug Build | no |
| Thread Safety | disabled |
| Zend Memory Manager | enabled |
| IPv6 Support | enabled |
| Registered PHP Streams | php, file, http, ftp, compress.bzip2, compress.zlib, https, ftps |
| Registered Stream Socket Transports | tcp, udp, unix, udg, ssl, sslv3, sslv2, tls |
| Registered Stream Filters | string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, convert.iconv.*, bzip2.*, zlib.* |
| SPL support | enabled |
| Interfaces | Countable, OuterIterator, RecursiveIterator, SeekableIterator, SplObserver, SplSubject |
| Classes | AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException, BadMethodCallException, CachingIterator, DirectoryIterator, DomainException, EmptyIterator, FilterIterator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthException, LimitIterator, LogicException, NoRewindIterator, OutOfBoundsException, OutOfRangeException, OverflowException, ParentIterator, RangeException, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIteratorIterator, RuntimeException, SimpleXMLIterator, SplFileInfo, SplFileObject, SplObjectStorage, SplTempFileObject, UnderflowException, UnexpectedValueException |
| Variable | Value |
| _OKMSG | start |
| LCFG_apache_ng_runuser | root |
| LCFG_apache_om_acl_run | om/all |
| LCFG_apache_nagios_groups | nagios/services-unit |
| LCFG_apache_om_environment | LCFG::Om::Environment::NewAFSPAG |
| _COMP | apache |
| LCFG_apache_ng_statusdisplay | true |
| _VERBOSE | no value |
| LCFG_apache_ng_debug | no value |
| LCFG_apache_serverroot | /afs/inf.ed.ac.uk/group/web/legacy/dai/southbridge/apache |
| LCFG_apache_nagios_cluster | no value |
| LCFG_apache_ng_verbose | no value |
| _CONFDIR | /var/lcfg/conf |
| LCFG_apache_om_acl_unlock | om/all |
| LCFG_apache_ng_monitor | no value |
| LCFG_apache_ng_logrotate | weeks |
| LCFGTYPE_apache_ng_logrotate | list: ng_logrotate_$ |
| _STATUS | 0 |
| LCFG_apache_om_acl_stop | om/all |
| LCFG_apache_ng_reconfig | configure |
| _DEBUG | no value |
| _TIMEOUT | no value |
| LCFG_apache__RESOURCES | nagios_depends om_oomadj ng_extralogs schema om_acl_run om_acl_monitor ng_prodmethod om_acl_status om_acl_restart om_acl_unlock ng_logperms nagios_groups om_authorization ng_syslog ng_rungroup nagios_provides lang ng_prod httpd nagios_cluster pidfile om_acl_start ng_cforder ng_statusdisplay om_acl_reset ng_logrotate ng_runuser om_methods ng_debug ng_logrotate_weeks ng_reconfig nagios_escalations serverroot om_acl_configure om_acl_stop ng_verbose om_acl_logrotate conftmpl om_environment ng_cfdepend startssl ng_schema config om_componentfile ng_monitor |
| _NOSTRICT | no value |
| _STATUSFILE | /var/lcfg/status/apache |
| _ROTATEDIR | /etc/logrotate.d |
| LCFG_apache_om_acl_status | om/all |
| LCFG_apache_config | conf/httpd.conf |
| LCFG_apache_om_acl_restart | om/all |
| LCFG_apache_pidfile | /var/run/httpd.pid |
| LCFG_apache_om_componentfile | no value |
| LCFG_apache_ng_prodmethod | no value |
| _LOCKDIR | /var/lcfg/lock |
| LCFG_apache_ng_cforder | no value |
| LCFG_apache_om_authorization | DICE::Authorize |
| PATH | /usr/bin:/bin:/sbin:/usr/sbin |
| LCFG_apache_om_acl_logrotate | om/all |
| LCFG_apache_conftmpl | no value |
| LCFG_apache_om_acl_configure | om/all |
| LCFG_apache_ng_schema | 1 |
| PWD | / |
| LCFG_apache_ng_cfdepend | <apache |
| LANG | C |
| _QUIET | no value |
| LCFG_apache_ng_logperms | 0644 |
| LCFG_apache_om_acl_reset | om/all |
| LCFG_apache_ng_logrotate_weeks | rotate 26 |
| LCFG_apache_om_oomadj | 0 |
| LCFGTYPE_apache_om_oomadj | string(OOM adj) |
| SHLVL | 2 |
| _RESFILE | no value |
| LCFG_apache_om_acl_start | om/all |
| LCFG_apache_schema | 2 |
| LCFG_apache_nagios_escalations | no value |
| LCFGTYPE_apache_nagios_escalations | list: nagios_start_$ nagios_end_$ nagios_contacts_$ nagios_interval_$ nagios_timeperiod_$ |
| _DUMMY | no value |
| LCFG_apache_ng_extralogs | access error dai.access dai.error safaacuk.access safaacuk.error |
| LCFG_apache_om_methods | configure start stop restart run logrotate monitor reset unlock status |
| LCFGTYPE_apache_om_methods | list: om_acl_$ |
| LCFG_apache_nagios_depends | no value |
| LCFG_apache_startssl | no value |
| LCFGTYPE_apache_startssl | boolean |
| _LOGFILE | /var/lcfg/log/apache |
| LCFG_apache_nagios_provides | no value |
| LCFG_apache_lang | C |
| _RUNFILE | /var/lcfg/tmp/apache.run |
| LCFG_apache_om_acl_monitor | om/all |
| LCFG_apache_ng_syslog | no value |
| LCFG_apache_ng_prod | no value |
| LCFG_apache_ng_rungroup | lcfg |
| LCFG_apache_httpd | /usr/sbin/httpd |
| Method_Suspend | () { [ -f $STATUSFILE ] || return;
LoadStatus;
Suspend $@
} |
| Method_Unlock | () { /usr/sbin/lcfglock -d $_LOCKDIR -u -b -q $_COMP
} |
| Method_Status | () { Lock;
[ -f $_STATUSFILE ] && LoadStatus;
Status $@ 1>&11;
Unlock
} |
| Method_Cleanlog | () { _QUIET="yes"
} |
| Method_Reset | () { Reset $@
} |
| Method_Log | () { Lock;
[ -f $_STATUSFILE ] && LoadStatus;
Log $@ 1>&11;
Unlock
} |
| Method_Ctl | () { Lock;
Ctl $@;
Unlock
} |
| Method_Monitor | () { Lock;
[ -f $_STATUSFILE ] || return;
LoadStatus;
Monitor $@;
Unlock
} |
| Method_LogRotate | () { Lock;
IsStarted || return;
LoadStatus;
LogRotate $@;
Unlock
} |
| Method_Configure | () { Lock;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Unlock
} |
| Method_Query | () { Method_Status "$@"
} |
| Method_Reconfig | () { Method_Configure "$@"
} |
| Method_Start | () { Lock;
if IsStarted; then
[ -n "$_NOSTRICT" ] && return;
Fail "failed to start component; already running";
fi;
Reset;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Start $@;
mkdir -p `dirname $_RUNFILE` || Fail "failed to create runfile dir (see logfile)";
touch $_RUNFILE;
[ $? != 0 ] && Fail "failed to create runfile (see logfile)";
Ack;
Unlock;
StartWait
} |
| Method_Stop | () { Lock;
if ! IsStarted; then
[ -n "$_NOSTRICT" ] && return;
Warn "component not started; ignoring 'stop'";
return;
fi;
LoadStatus;
Stop $@;
rm -f $_RUNFILE;
[ $? != 0 ] && Fail "failed to delete runfile (see logfile)";
Ack;
Unlock
} |
| Method_Resume | () { [ -f $STATUSFILE ] || return;
LoadStatus;
Resume $@
} |
| Method_Run | () { Lock;
if ! IsStarted; then
Fail "run failed as the component is not started";
fi;
LoadStatus;
Run $@;
Unlock
} |
| Method_Restart | () { Lock;
if IsStarted; then
LoadStatus;
Stop $@;
rm -f $_RUNFILE;
fi;
Reset;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Start $@;
mkdir -p `dirname $_RUNFILE` || Fail "failed to create runfile dir (see logfile)";
touch $_RUNFILE;
[ $? != 0 ] && Fail "failed to create runfile (see logfile)";
Unlock;
StartWait
} |
| _ | /usr/sbin/httpd |
| Variable | Value |
| _SERVER["SCRIPT_URL"] | /groups/aqr/a.php |
| _SERVER["SCRIPT_URI"] | http://www.dai.ed.ac.uk/groups/aqr/a.php |
| _SERVER["HTTP_X_CC_ID"] | ccc01-02 |
| _SERVER["HTTP_HOST"] | www.dai.ed.ac.uk |
| _SERVER["HTTP_USER_AGENT"] | CCBot/1.0 (+http://www.commoncrawl.org/bot.html) |
| _SERVER["HTTP_ACCEPT"] | text/html,application/xhtml+xml,text/xml;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5 |
| _SERVER["HTTP_ACCEPT_LANGUAGE"] | en-us,en;q=0.5 |
| _SERVER["HTTP_ACCEPT_ENCODING"] | gzip |
| _SERVER["HTTP_ACCEPT_CHARSET"] | ISO-8859-1,utf-8;q=0.7,*;q=0.7 |
| _SERVER["HTTP_CONNECTION"] | close |
| _SERVER["HTTP_CACHE_CONTROL"] | no-cache |
| _SERVER["HTTP_PRAGMA"] | no-cache |
| _SERVER["PATH"] | /usr/bin:/bin:/sbin:/usr/sbin |
| _SERVER["SERVER_SIGNATURE"] | no value |
| _SERVER["SERVER_SOFTWARE"] | Apache/2.2.3 |
| _SERVER["SERVER_NAME"] | www.dai.ed.ac.uk |
| _SERVER["SERVER_ADDR"] | 129.215.33.195 |
| _SERVER["SERVER_PORT"] | 80 |
| _SERVER["REMOTE_ADDR"] | 38.107.179.213 |
| _SERVER["DOCUMENT_ROOT"] | /afs/inf.ed.ac.uk/group/web/legacy/dai/southbridge/dai/docs |
| _SERVER["SERVER_ADMIN"] | webmaster@inf.ed.ac.uk |
| _SERVER["SCRIPT_FILENAME"] | /afs/inf.ed.ac.uk/group/web/legacy/dai/southbridge/dai/docs/groups/aqr/a.php |
| _SERVER["REMOTE_PORT"] | 53483 |
| _SERVER["GATEWAY_INTERFACE"] | CGI/1.1 |
| _SERVER["SERVER_PROTOCOL"] | HTTP/1.1 |
| _SERVER["REQUEST_METHOD"] | GET |
| _SERVER["QUERY_STRING"] | no value |
| _SERVER["REQUEST_URI"] | /groups/aqr/a.php |
| _SERVER["SCRIPT_NAME"] | /groups/aqr/a.php |
| _SERVER["PHP_SELF"] | /groups/aqr/a.php |
| _SERVER["REQUEST_TIME"] | 1337802723 |
| _ENV["_OKMSG"] | start |
| _ENV["LCFG_apache_ng_runuser"] | root |
| _ENV["LCFG_apache_om_acl_run"] | om/all |
| _ENV["LCFG_apache_nagios_groups"] | nagios/services-unit |
| _ENV["LCFG_apache_om_environment"] | LCFG::Om::Environment::NewAFSPAG |
| _ENV["_COMP"] | apache |
| _ENV["LCFG_apache_ng_statusdisplay"] | true |
| _ENV["_VERBOSE"] | no value |
| _ENV["LCFG_apache_ng_debug"] | no value |
| _ENV["LCFG_apache_serverroot"] | /afs/inf.ed.ac.uk/group/web/legacy/dai/southbridge/apache |
| _ENV["LCFG_apache_nagios_cluster"] | no value |
| _ENV["LCFG_apache_ng_verbose"] | no value |
| _ENV["_CONFDIR"] | /var/lcfg/conf |
| _ENV["LCFG_apache_om_acl_unlock"] | om/all |
| _ENV["LCFG_apache_ng_monitor"] | no value |
| _ENV["LCFG_apache_ng_logrotate"] | weeks |
| _ENV["LCFGTYPE_apache_ng_logrotate"] | list: ng_logrotate_$ |
| _ENV["_STATUS"] | 0 |
| _ENV["LCFG_apache_om_acl_stop"] | om/all |
| _ENV["LCFG_apache_ng_reconfig"] | configure |
| _ENV["_DEBUG"] | no value |
| _ENV["_TIMEOUT"] | no value |
| _ENV["LCFG_apache__RESOURCES"] | nagios_depends om_oomadj ng_extralogs schema om_acl_run om_acl_monitor ng_prodmethod om_acl_status om_acl_restart om_acl_unlock ng_logperms nagios_groups om_authorization ng_syslog ng_rungroup nagios_provides lang ng_prod httpd nagios_cluster pidfile om_acl_start ng_cforder ng_statusdisplay om_acl_reset ng_logrotate ng_runuser om_methods ng_debug ng_logrotate_weeks ng_reconfig nagios_escalations serverroot om_acl_configure om_acl_stop ng_verbose om_acl_logrotate conftmpl om_environment ng_cfdepend startssl ng_schema config om_componentfile ng_monitor |
| _ENV["_NOSTRICT"] | no value |
| _ENV["_STATUSFILE"] | /var/lcfg/status/apache |
| _ENV["_ROTATEDIR"] | /etc/logrotate.d |
| _ENV["LCFG_apache_om_acl_status"] | om/all |
| _ENV["LCFG_apache_config"] | conf/httpd.conf |
| _ENV["LCFG_apache_om_acl_restart"] | om/all |
| _ENV["LCFG_apache_pidfile"] | /var/run/httpd.pid |
| _ENV["LCFG_apache_om_componentfile"] | no value |
| _ENV["LCFG_apache_ng_prodmethod"] | no value |
| _ENV["_LOCKDIR"] | /var/lcfg/lock |
| _ENV["LCFG_apache_ng_cforder"] | no value |
| _ENV["LCFG_apache_om_authorization"] | DICE::Authorize |
| _ENV["PATH"] | /usr/bin:/bin:/sbin:/usr/sbin |
| _ENV["LCFG_apache_om_acl_logrotate"] | om/all |
| _ENV["LCFG_apache_conftmpl"] | no value |
| _ENV["LCFG_apache_om_acl_configure"] | om/all |
| _ENV["LCFG_apache_ng_schema"] | 1 |
| _ENV["PWD"] | / |
| _ENV["LCFG_apache_ng_cfdepend"] | <apache |
| _ENV["LANG"] | C |
| _ENV["_QUIET"] | no value |
| _ENV["LCFG_apache_ng_logperms"] | 0644 |
| _ENV["LCFG_apache_om_acl_reset"] | om/all |
| _ENV["LCFG_apache_ng_logrotate_weeks"] | rotate 26 |
| _ENV["LCFG_apache_om_oomadj"] | 0 |
| _ENV["LCFGTYPE_apache_om_oomadj"] | string(OOM adj) |
| _ENV["SHLVL"] | 2 |
| _ENV["_RESFILE"] | no value |
| _ENV["LCFG_apache_om_acl_start"] | om/all |
| _ENV["LCFG_apache_schema"] | 2 |
| _ENV["LCFG_apache_nagios_escalations"] | no value |
| _ENV["LCFGTYPE_apache_nagios_escalations"] | list: nagios_start_$ nagios_end_$ nagios_contacts_$ nagios_interval_$ nagios_timeperiod_$ |
| _ENV["_DUMMY"] | no value |
| _ENV["LCFG_apache_ng_extralogs"] | access error dai.access dai.error safaacuk.access safaacuk.error |
| _ENV["LCFG_apache_om_methods"] | configure start stop restart run logrotate monitor reset unlock status |
| _ENV["LCFGTYPE_apache_om_methods"] | list: om_acl_$ |
| _ENV["LCFG_apache_nagios_depends"] | no value |
| _ENV["LCFG_apache_startssl"] | no value |
| _ENV["LCFGTYPE_apache_startssl"] | boolean |
| _ENV["_LOGFILE"] | /var/lcfg/log/apache |
| _ENV["LCFG_apache_nagios_provides"] | no value |
| _ENV["LCFG_apache_lang"] | C |
| _ENV["_RUNFILE"] | /var/lcfg/tmp/apache.run |
| _ENV["LCFG_apache_om_acl_monitor"] | om/all |
| _ENV["LCFG_apache_ng_syslog"] | no value |
| _ENV["LCFG_apache_ng_prod"] | no value |
| _ENV["LCFG_apache_ng_rungroup"] | lcfg |
| _ENV["LCFG_apache_httpd"] | /usr/sbin/httpd |
| _ENV["Method_Suspend"] | () { [ -f $STATUSFILE ] || return;
LoadStatus;
Suspend $@
} |
| _ENV["Method_Unlock"] | () { /usr/sbin/lcfglock -d $_LOCKDIR -u -b -q $_COMP
} |
| _ENV["Method_Status"] | () { Lock;
[ -f $_STATUSFILE ] && LoadStatus;
Status $@ 1>&11;
Unlock
} |
| _ENV["Method_Cleanlog"] | () { _QUIET="yes"
} |
| _ENV["Method_Reset"] | () { Reset $@
} |
| _ENV["Method_Log"] | () { Lock;
[ -f $_STATUSFILE ] && LoadStatus;
Log $@ 1>&11;
Unlock
} |
| _ENV["Method_Ctl"] | () { Lock;
Ctl $@;
Unlock
} |
| _ENV["Method_Monitor"] | () { Lock;
[ -f $_STATUSFILE ] || return;
LoadStatus;
Monitor $@;
Unlock
} |
| _ENV["Method_LogRotate"] | () { Lock;
IsStarted || return;
LoadStatus;
LogRotate $@;
Unlock
} |
| _ENV["Method_Configure"] | () { Lock;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Unlock
} |
| _ENV["Method_Query"] | () { Method_Status "$@"
} |
| _ENV["Method_Reconfig"] | () { Method_Configure "$@"
} |
| _ENV["Method_Start"] | () { Lock;
if IsStarted; then
[ -n "$_NOSTRICT" ] && return;
Fail "failed to start component; already running";
fi;
Reset;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Start $@;
mkdir -p `dirname $_RUNFILE` || Fail "failed to create runfile dir (see logfile)";
touch $_RUNFILE;
[ $? != 0 ] && Fail "failed to create runfile (see logfile)";
Ack;
Unlock;
StartWait
} |
| _ENV["Method_Stop"] | () { Lock;
if ! IsStarted; then
[ -n "$_NOSTRICT" ] && return;
Warn "component not started; ignoring 'stop'";
return;
fi;
LoadStatus;
Stop $@;
rm -f $_RUNFILE;
[ $? != 0 ] && Fail "failed to delete runfile (see logfile)";
Ack;
Unlock
} |
| _ENV["Method_Resume"] | () { [ -f $STATUSFILE ] || return;
LoadStatus;
Resume $@
} |
| _ENV["Method_Run"] | () { Lock;
if ! IsStarted; then
Fail "run failed as the component is not started";
fi;
LoadStatus;
Run $@;
Unlock
} |
| _ENV["Method_Restart"] | () { Lock;
if IsStarted; then
LoadStatus;
Stop $@;
rm -f $_RUNFILE;
fi;
Reset;
LoadProfile;
Configure $@;
ConfigureLog;
SaveStatus;
Start $@;
mkdir -p `dirname $_RUNFILE` || Fail "failed to create runfile dir (see logfile)";
touch $_RUNFILE;
[ $? != 0 ] && Fail "failed to create runfile (see logfile)";
Unlock;
StartWait
} |
| _ENV["_"] | /usr/sbin/httpd |